
Foreman - Bug #10155

Opening 'reports' on a fresh Foreman 1.8.0 RC3/Katello 2.2 install displays "Field 'eventful+' not

recognized for searching!"

04/16/2015 03:12 AM - J C

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

ScopedSearch::QueryNotSupported

Field 'eventful+' not recognized for searching!

app/controllers/reports_controller.rb:8:in `index'

app/controllers/concerns/application_shared.rb:13:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Installed Packages:

 candlepin-0.9.45-1.el6.noarch

candlepin-common-1.0.22-1.el6.noarch

candlepin-selinux-0.9.45-1.el6.noarch

candlepin-tomcat6-0.9.45-1.el6.noarch

elasticsearch-0.90.10-7.el6.noarch

katello-2.2.0-3.el6.noarch

katello-certs-tools-2.0.1-1.el6.noarch

katello-common-2.2.0-3.el6.noarch

katello-debug-2.2.0-3.el6.noarch

katello-default-ca-1.0-1.noarch

katello-installer-2.2.0-3.el6.noarch

katello-installer-base-2.2.0-3.el6.noarch

katello-repos-2.2.0-3.el6.noarch

katello-selinux-2.2.1-1.el6.noarch

katello-server-ca-1.0-1.noarch

kmaster.lan-qpid-broker-1.0-1.noarch

kmaster.lan-qpid-client-cert-1.0-1.noarch

kmaster.lan-qpid-router-client-1.0-1.noarch

kmaster.lan-qpid-router-server-1.0-1.noarch

libqpid-dispatch-0.4-2.20150402.el6.x86_64

m2crypto-0.21.1.pulp-8.el6.x86_64

mod_wsgi-3.4-2.pulp.el6.x86_64

pulp-docker-plugins-0.2.2-1.el6.noarch

pulp-katello-0.4-1.el6.noarch

pulp-nodes-common-2.6.0-1.el6.noarch

pulp-nodes-parent-2.6.0-1.el6.noarch

pulp-puppet-plugins-2.6.0-1.el6.noarch

pulp-puppet-tools-2.6.0-1.el6.noarch

pulp-rpm-plugins-2.6.0-1.el6.noarch

pulp-selinux-2.6.0-1.el6.noarch

pulp-server-2.6.0-1.el6.noarch

python-gofer-qpid-2.5.3-1.el6.noarch

python-isodate-0.5.0-4.pulp.el6.noarch

python-kombu-3.0.24-5.pulp.el6.noarch

python-pulp-bindings-2.6.0-1.el6.noarch

python-pulp-common-2.6.0-1.el6.noarch
python-pulp-docker-common-0.2.2-1.el6.noarch

python-pulp-puppet-common-2.6.0-1.el6.noarch

python-pulp-rpm-common-2.6.0-1.el6.noarch

python-qpid-0.30-7.el6.noarch

python-qpid-qmf-0.30-5.el6.x86_64

python-rhsm-1.8.0-2.pulp.el6.x86_64

qpid-cpp-client-0.30-7.proton.0.9.el6.x86_64

qpid-cpp-client-devel-0.30-7.proton.0.9.el6.x86_64

qpid-cpp-server-0.30-7.proton.0.9.el6.x86_64

qpid-cpp-server-linearstore-0.30-7.proton.0.9.el6.x86_64

qpid-dispatch-router-0.4-2.20150402.el6.x86_64

qpid-proton-c-0.9-1.20150219.el6.x86_64

qpid-qmf-0.30-5.el6.x86_64

qpid-tools-0.30-4.el6.noarch

ruby193-rubygem-katello-2.2.0-7.el6.noarch

ruby193-rubygem-qpid_messaging-0.30.0-1.el6.x86_64

rubygem-hammer_cli_katello-0.0.11-1.el6.noarch

rubygem-smart_proxy_pulp-1.0.1-1.el6.noarch

History

#1 - 04/20/2015 04:46 AM - Dominic Cleal

- Status changed from New to Need more information

Could you provide a bit more of the production.log showing the full request please, and the URL shown in your browser?  Seems like the space is

getting misinterpreted, as it works OK here.

#2 - 05/07/2015 08:54 AM - Chuck Schweizer

Dominic Cleal wrote:

Could you provide a bit more of the production.log showing the full request please, and the URL shown in your browser?  Seems like the space

is getting misinterpreted, as it works OK here.

 I am seeing this issue in Satellite 6.1 also.

If I start at a Katello page. eg.   Content -> Products  (https://FQDN/products)

This url is used when I click on Monitor -> Reports

https://FQDN/reports?search=eventful%2B%3D%2Btrue

If I start at a Forman page. eg. Monitor -> Dashboard (https://FQDN/dashboard)

This url is used when I click on Monitor -> Reports

https://FQDN/reports?search=eventful+%3D+true

#3 - 05/07/2015 09:06 AM - Dominic Cleal

- Category changed from Reporting to Web Interface

- Status changed from Need more information to New

#4 - 04/04/2016 09:30 AM - Brian Shaw

This problem seems to still exist in Foremen 1.10.2.  It isn't consistent, as can be seen in the log snippets below.  Note the different URI between the

two identical mouse clicks.

Working: | Started GET "/reports?search=eventful+%3D+true" for 10.63.49.193 at 2016-04-04 13:24:14 -0400

2016-04-04 13:24:14 [app] [I] Processing by ReportsController#index as HTML

2016-04-04 13:24:14 [app] [I]   Parameters: {"search"=>"eventful = true"}

2016-04-04 13:24:14 [app] [I]   Rendered reports/_list.html.erb (26.7ms)

2016-04-04 13:24:14 [app] [I]   Rendered reports/index.html.erb within layouts/application (28.7ms)

2016-04-04 13:24:14 [app] [I]   Rendered common/_searchbar.html.erb (5.7ms)

2016-04-04 13:24:14 [app] [I]   Rendered home/_user_dropdown.html.erb (4.6ms)

2016-04-04 13:24:14 [app] [I] Read fragment views/tabs_and_title_records-3 (0.2ms)

2016-04-04 13:24:14 [app] [I]   Rendered home/_topbar.html.erb (5.9ms)

2016-04-04 13:24:14 [app] [I]   Rendered layouts/base.html.erb (7.6ms)

2016-04-04 13:24:14 [app] [I] Completed 200 OK in 78ms (Views: 22.4ms | ActiveRecord: 28.7ms)

Broken:

2016-04-04 13:18:02 [app] [I]   |   | Started GET "/reports?search=eventful%2B%3D%2Btrue" for 10.63.49.193 at 2016-04-04 13:18:02 -0400
2016-04-04 13:18:02 [app] [I] Processing by ReportsController#index as HTML

2016-04-04 13:18:02 [app] [I]   Parameters: {"search"=>"eventful+=+true"}

2016-04-04 13:18:02 [app] [W] Action failed  | ScopedSearch::QueryNotSupported: Field 'eventful+' not recognized for searching!  |

/opt/theforeman/tfm/root/usr/share/gems/gems/scoped_search-3.2.2/lib/scoped_search/query_builder.rb:467:in `to_single_field_sql'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/scoped_search-3.2.2/lib/scoped_search/query_builder.rb:480:in `to_sql'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/scoped_search-3.2.2/lib/scoped_search/query_builder.rb:51:in `build_find_params'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/scoped_search-3.2.2/lib/scoped_search/query_builder.rb:22:in `build_query'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/scoped_search-3.2.2/lib/scoped_search/definition.rb:255:in `block in register_named_scope!'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/scoping/named.rb:180:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/scoping/named.rb:180:in `block (2 levels) in scope'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/scoping/default.rb:41:in `block in unscoped'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation.rb:241:in `block in scoping'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/scoping.rb:98:in `with_scope'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation.rb:241:in `scoping'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/scoping/default.rb:41:in `unscoped'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/scoping/named.rb:180:in `block in scope'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/delegation.rb:14:in `block in search_for'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation.rb:241:in `block in scoping'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/scoping.rb:98:in `with_scope'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation.rb:241:in `scoping'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/delegation.rb:14:in `search_for'  |

/usr/share/foreman/app/controllers/reports_controller.rb:7:in `index'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:660:in `block (4 levels) in

_run4561795798395581519process_action2051927624687295444callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_11862'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_2502'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_11862'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:637:in `block (3 levels) in

_run4561795798395581519process_action2051927624687295444callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_11861'  |

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_11861'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:636:in `block (2 levels) in

_run4561795798395581519process_action2051927624687295444callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_11860'  |

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_11860'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:448:in `block in

_run4561795798395581519process_action2051927624687295444callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_11859'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_13'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_11859'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:in

`_run4561795798395581519process_action2051927624687295444callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:18:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'  |

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'  |
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:25:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'  |

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:473:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in

`_run2454467375101500989call2271031729513363783callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'  |

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:245:in `fetch'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:185:in `lookup'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:66:in `call!'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'  |

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'  |

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'  |

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'  |

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

2016-04-04 13:18:02 [app] [I]   Rendered common/500.html.erb within layouts/application (2.8ms)

2016-04-04 13:18:02 [app] [I]   Rendered layouts/base.html.erb (1.5ms)

2016-04-04 13:18:02 [app] [I] Completed 500 Internal Server Error in 74ms (Views: 9.1ms | ActiveRecord: 30.8ms)

#6 - 04/04/2016 09:57 AM - Tomer Brisker

- Status changed from New to Duplicate

This is a duplicate of a bug that has been fixed in bastion. Marking as such.
